Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163533 - mqueue and hugetlbfs don't be configured for labeling in kernel-2.6.12-1.1435_FC5
Summary: mqueue and hugetlbfs don't be configured for labeling in kernel-2.6.12-1.1435...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: rawhide
Hardware: noarch
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-18 17:36 UTC by sangu
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: selinux-policy-targeted-1.25.3-7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-29 13:26:46 UTC


Attachments (Terms of Use)
dmesg of kernel-2.6.12-1.1435_FC5 (deleted)
2005-07-18 17:36 UTC, sangu
no flags Details

Description sangu 2005-07-18 17:36:31 UTC
Description of problem:
mqueue and hugetlbfs don't be configured for labeling in kernel-2.6.12-1.1435_FC5.

in dmesg
[...]
SELinux: initialized (dev mqueue, type mqueue), not configured for labeling
SELinux: initialized (dev hugetlbfs, type hugetlbfs), not configured for labeling
[...]

Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.25.2-5

How reproducible:
always

Steps to Reproduce:
1. Install kernel-2.6.12-1.1435_FC5
2. Reboot
3.
  
Actual results:


Expected results:


Additional info:
kernel-2.6.12-1.1435_FC5

Comment 1 sangu 2005-07-18 17:36:31 UTC
Created attachment 116882 [details]
dmesg of  kernel-2.6.12-1.1435_FC5

Comment 2 Daniel Walsh 2005-07-20 03:42:54 UTC
Fixed in selinux-policy-targeted-1.25.3-1

Comment 3 sangu 2005-07-22 13:39:08 UTC
$ rpm -q selinux-policy-targeted
selinux-policy-targeted-1.25.3-3

$ dmesg | grep label
SELinux: initialized (dev mqueue, type mqueue), not configured for labeling
SELinux: initialized (dev hugetlbfs, type hugetlbfs), not configured for labeling

$ cat /etc/selinux/targeted/src/policy/genfs_contexts

mqueue and hugetlbfs aren't.


Comment 4 sangu 2005-07-27 03:29:35 UTC
This problem still happens in selinux-policy-targeted-1.25.3-5.

$ dmesg | grep label
SELinux: initialized (dev mqueue, type mqueue), not configured for labeling
SELinux: initialized (dev hugetlbfs, type hugetlbfs), not configured for labeling

---
kernel-2.6.12-1.1437_FC5



Comment 5 Daniel Walsh 2005-07-27 13:30:09 UTC
Fixed in selinux-policy-targeted-1.25.3-6



Note You need to log in before you can comment on or make changes to this bug.